gpt-4o-2024-08-06 (Image To Text (Chat))
POST
/v1/chat/completionsAuthentication
- Sign up for an account
- Navigate to the API Keys section in your dashboard
- Generate a new API key (sk-xxxxx)
- Copy and securely store your API key
Initiate Request
curl --location 'https://api.maxtoken.io/v1/chat/completions'
--header 'Authorization: Bearer API_KEY'
--header 'Content-Type: application/json'
--data '{
"model": "gpt-4o-2024-08-06",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "What is in this image?"
},
{
"type": "image_url",
"image_url": {
"url": "https://maxtoken.io/doc/resource/cat.png"
}
}
]
}
],
"max_tokens": 300
}'
const axios = require('axios');
let data = JSON.stringify({
"model": "gpt-4o-2024-08-06",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "What is in this image?"
},
{
"type": "image_url",
"image_url": {
"url": "https://maxtoken.io/doc/resource/cat.png"
}
}
]
}
],
"max_tokens": 300
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: 'https://api.maxtoken.io/v1/chat/completions',
headers: {
'Authorization': 'Bearer API_KEY',
'Content-Type': 'application/json'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
import requests
import json
url = "https://api.maxtoken.io/v1/chat/completions"
payload = json.dumps({
"model": "gpt-4o-2024-08-06",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "What is in this image?"
},
{
"type": "image_url",
"image_url": {
"url": "https://maxtoken.io/doc/resource/cat.png"
}
}
]
}
],
"max_tokens": 300
})
headers = {
'Authorization': 'Bearer API_KEY',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxtoken.io/v1/chat/completions"
method := "POST"
payload := strings.NewReader(`{
"model": "gpt-4o-2024-08-06",
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "What is in this image?"
},
{
"type": "image_url",
"image_url": {
"url": "https://maxtoken.io/doc/resource/cat.png"
}
}
]
}
],
"max_tokens": 300
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer API_KEY")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
Parameters
Core Parameters
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
model | string | ✅ Yes | - | - | Model ID used to generate the response, like gpt-4o or o3. OpenAI offers a wide range of models with different capabilities, performance characteristics, and price points. Refer to the model guide to browse and compare available models. |
messages | array | ✅ Yes | - | - | A list of messages comprising the conversation so far. Depending on the model you use, different message types (modalities) are supported, like text, images, and audio. |
messages.role | string | ✅ Yes | - | developerusersystem | The role of the messages author. |
messages.name | string | ❌ No | - | - | An optional name for the participant. Provides the model information to differentiate between participants of the same role. |
messages.content | string / array | ✅ Yes | - | - | The contents of the developer message. |
messages.content.type | string | ✅ Yes | - | textimage_url | The type of the content part |
messages.content.text | string | ❌ No | - | - | The text content |
messages.content.image_url | object | ❌ No | - | - | The image URL content |
messages.content.image_url.url | string | ❌ No | - | - | The URL of the image |
Advanced Parameters
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
max_completion_tokens | integer / null | ❌ No | - | - | An upper bound for the number of tokens that can be generated for a completion, including visible output tokens and reasoning tokens. |
stream | boolean | ❌ No | false | truefalse | Whether to stream the response back incrementally. Defaults to false. |
Response Example
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1699896916,
"model": "gpt-5-chat",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "The image shows a wooden boardwalk path extending through a lush green grassland."
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 1250,
"completion_tokens": 89,
"total_tokens": 1339
}
}
Error Codes
Common Error Codes
| Error Code | Error Name | Description |
|---|---|---|
| 401 | Unauthorized | API key is missing or invalid |
| 403 | Forbidden | Your API key doesn't have permission to access this resource, or insufficient balance for the requested operation |
| 429 | Too Many Requests | You've exceeded your rate limit |
| 500 | Internal server error | An internal server error occurred |
| 503 | Content policy violation | Content blocked due to safety concerns (actual status code is 400) |
